using System;
namespace TVShoppingCallCenter_ZLJ.Models.Inputs
{
	/// <summary>
	/// 短信模板表
	/// </summary>
	[Serializable]
	public partial class SMSLogInput : BaseInput
	{
		public SMSLogInput()
		{ }
		#region Model
		private string _f_id;
		private int _f_adduser = 0;
		private string _f_addusername;
		private string _f_content = "";
		private int _f_templateid;
		private int _f_state;
		private string _f_message = "";
		private DateTime _f_addtime;
		private DateTime _f_sendtime;
		private DateTime _f_plansendtime;
		private string _f_tel = "";
		private int _f_type;
		private string _f_name = "";
		/// <summary>
		/// 本批次名称
		/// </summary>
		public string F_Name
		{
			set { _f_name = value; }
			get { return _f_name; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 记录添加人
		/// </summary>
		public int F_AddUser
		{
			set { _f_adduser = value; }
			get { return _f_adduser; }
		}
		/// <summary>
		/// 记录添加人姓名/发送人
		/// </summary>
		public string F_AddUserName
		{
			set { _f_addusername = value; }
			get { return _f_addusername; }
		}
		/// <summary>
		/// 发送内容
		/// </summary>
		public string F_Content
		{
			set { _f_content = value; }
			get { return _f_content; }
		}
		/// <summary>
		/// 模板id
		/// </summary>
		public int F_TemplateId
		{
			set { _f_templateid = value; }
			get { return _f_templateid; }
		}
		/// <summary>
		/// 发送状态 0没有获取状态 1成功2失败
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 发送状态信息，可不用
		/// </summary>
		public string F_Message
		{
			set { _f_message = value; }
			get { return _f_message; }
		}
		/// <summary>
		/// 发送时间
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 发送时间
		/// </summary>
		public DateTime F_SendTime
		{
			set { _f_sendtime = value; }
			get { return _f_sendtime; }
		}
		/// <summary>
		/// 计划发送时间
		/// </summary>
		public DateTime F_PlanSendTime
		{
			set { _f_plansendtime = value; }
			get { return _f_plansendtime; }
		}
		/// <summary>
		/// 发送的手机号
		/// </summary>
		public string F_Tel
		{
			set { _f_tel = value; }
			get { return _f_tel; }
		}
		/// <summary>
		/// 1即时发送（模板），2定时发送（模板），3即时自定义 4定时自定义
		/// </summary>
		public int F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		#endregion Model

	}
}

